import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LauncherComponent } from './launcher/launcher.component';
import { KeygenComponent } from './keygen/keygen.component';
import { TransferComponent } from './transfer/transfer.component';
import { ShareconnectComponent } from './shareconnect/shareconnect.component';


// import { TokenextractorComponent } from './tokenextractor/tokenextractor.component';


const routes: Routes = [
  { path: '', redirectTo: 'launch', pathMatch: 'full'},
  { path: 'launch', component: LauncherComponent},
  { path: 'finishlaunch', component: LauncherComponent},
  { path: 'cancellaunch', component: LauncherComponent},
  { path: 'sshauthz_callback', component: KeygenComponent},
  { path: 'transfer', component: TransferComponent },
  { path: 'shareconnect', component: ShareconnectComponent }


  // { path: 'sshauthz_callback', component: LauncherComponent}


];

@NgModule({
  imports: [
    RouterModule.forRoot(routes)
  ],
  exports: [ RouterModule ],
})
export class AppRoutingModule { }
